namespace Encompass {
    public class World {
        EntityManager entityManager;
        ComponentManager componentManager;

        internal World(EntityManager entityManager, ComponentManager componentManager) {
            this.entityManager = entityManager;
            this.componentManager = componentManager;
        }

        public void Update() {
            entityManager.DestroyMarkedEntities();
            componentManager.ActivateComponents();
            componentManager.RemoveComponents();

        }

        public Entity CreateEntity() {
            return entityManager.CreateEntity();
        }
    }
}
