using System.Collections.Generic;

namespace Encompass {
    public class WorldBuilder {
        private ComponentManager componentManager;
        private EntityManager entityManager;

        public WorldBuilder() {
            componentManager = new ComponentManager();
            entityManager = new EntityManager(componentManager);
        }

        public Entity CreateEntity() {
            return this.entityManager.CreateEntity();
        }

        public World Build() {
            var world = new World(this.entityManager, this.componentManager);

            this.componentManager.ActivateComponents();
            this.componentManager.RemoveComponents();

            return world;
        }
    }
}
